## org.metaabm.gen.test
Enum StateEnum

    java.lang.Object
      java.lang.Enum<StateEnum>
          org.metaabm.gen.test.StateEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StateEnum>

    public enum StateEnum

extends java.lang.Enum<StateEnum>

State Java Implementation. Generated by metaabm system: May 13, 2009 11:53:47 AM PDT in project: org.metaabm.gen.ascape.test (testing)

Enum Constant Summary
`option1`
`option2`

Method Summary
`java.lang.String` `toString()`
`static StateEnum` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StateEnum[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### option1

    public static final StateEnum option1

### option2

    public static final StateEnum option2

Method Detail

### values

    public static StateEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StateEnum c : StateEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StateEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<StateEnum>`